Index: doc/started/buildc.t
===================================================================
--- doc/started/buildc.t	(revision f2cd6a1a8d6402e8ffce00ba8c9b2de0d7c5e9d7)
+++ doc/started/buildc.t	(revision fffe92667f3263b28daa8d1ed0da3606dc5435ad)
@@ -14,58 +14,17 @@
 toolset and install it.
 
-@section Get All the Pieces 
-
-Gather the components that will be required for the installation and place
-them in an archive directory. Call this directory @code{arc}. Be sure that there
-is sufficient space to hold all necessary information. This will amount to
-approximately 20 megabytes.  In addition, make a directory named @code{tools} 
-to build the cross-compiler in. 
-
-
-@subheading @value{GCC-VERSION}
-@example
-    FTP Site:    @value{GCC-FTPSITE}
-    Directory:   @value{GCC-FTPDIR}
-    File:        @value{GCC-TAR}
-@end example
-
-@subheading @value{BINUTILS-VERSION}
-@example
-    FTP Site:    @value{BINUTILS-FTPSITE}
-    Directory:   @value{BINUTILS-FTPDIR}
-    File:        @value{BINUTILS-TAR}
-@end example
-
-@subheading @value{NEWLIB-VERSION}
-@example
-    FTP Site:    @value{NEWLIB-FTPSITE}
-    Directory:   @value{NEWLIB-FTPDIR}
-    File:        @value{NEWLIB-TAR}
-@end example
-
-@subheading @value{RTEMS-VERSION}
-@example
-    FTP Site:    @value{RTEMS-FTPSITE}
-    Directory:   @value{RTEMS-FTPDIR}
-    File:        @value{RTEMS-TAR}
-    File:        bit
-@ifset BINUTILS-RTEMSPATCH
-    File:        @value{BINUTILS-RTEMSPATCH}
-@end ifset
-@ifset NEWLIB-RTEMSPATCH
-    File:        @value{NEWLIB-RTEMSPATCH}
-@end ifset
-@ifset GCC-RTEMSPATCH
-    File:        @value{GCC-RTEMSPATCH}
-@end ifset
-    File:        hello_world_c.tgz
-@end example
-
-@section Create the tools Directory
-
-Create a directory called tools that will serve as a working directory to
-perform the build of the cross compiler tools.  Since we previously
-created a directory named @code{arc} to place the files we downloaded
-into, this will result in a starting directory structure similar the
+@section Create the Archive and Build Directories
+
+Start by making the @code{archive} directory to contain the downloaded 
+source code and the @code{tools} directory to be used as a build
+directory.  The command sequence to do this is shown
+below:
+
+@example
+mkdir arc
+mkdir tools
+@end example
+
+This will result in an initial directory structure similar to the
 one shown in the following figure:
 
@@ -108,4 +67,64 @@
 @end ifset
 
+@section Get all the Pieces 
+
+This section lists the components of an RTEMS cross development system.  
+Included are the locations of each component as well as any required RTEMS
+specific patches.
+
+@subheading @value{GCC-VERSION}
+@example
+    FTP Site:    @value{GCC-FTPSITE}
+    Directory:   @value{GCC-FTPDIR}
+    File:        @value{GCC-TAR}
+@end example
+
+@subheading @value{BINUTILS-VERSION}
+@example
+    FTP Site:    @value{BINUTILS-FTPSITE}
+    Directory:   @value{BINUTILS-FTPDIR}
+    File:        @value{BINUTILS-TAR}
+@end example
+
+@subheading @value{NEWLIB-VERSION}
+@example
+    FTP Site:    @value{NEWLIB-FTPSITE}
+    Directory:   @value{NEWLIB-FTPDIR}
+    File:        @value{NEWLIB-TAR}
+@end example
+
+@subheading @value{RTEMS-VERSION}
+@example
+    FTP Site:    @value{RTEMS-FTPSITE}
+    Directory:   @value{RTEMS-FTPDIR}
+    File:        @value{RTEMS-TAR}
+    File:        hello_world_c.tgz
+    File:        bit
+@end example
+
+@subheading RTEMS Specific Tool Patches
+@example
+    FTP Site:    @value{RTEMS-FTPSITE}
+    Directory:   @value{RTEMS-FTPDIR}/c_tools
+@ifset BINUTILS-RTEMSPATCH
+    File:        @value{BINUTILS-RTEMSPATCH}
+@end ifset
+@ifset NEWLIB-RTEMSPATCH
+    File:        @value{NEWLIB-RTEMSPATCH}
+@end ifset
+@ifset GCC-RTEMSPATCH
+    File:        @value{GCC-RTEMSPATCH}
+@end ifset
+@c Just in case there are ever no patches
+@ifset BINUTILS-RTEMSPATCH
+@ifset GCC-RTEMSPATCH
+@ifset NEWLIB-RTEMSPATCH
+    No RTEMS specific patches are required.
+@end ifset
+@end ifset
+@end ifset
+
+@end example
+
 @section Unarchiving the Tools
 
@@ -206,13 +225,4 @@
 This should not happen with a good patch file.
 
-To see the files that have been modified use the sequence:
-
-@example
-cd tools/@value{GCC-UNTAR}
-find . -name "*.orig" -print
-@end example
-
-The files that are found, have been modified by the patch file.
-
 @end ifset
 
@@ -247,13 +257,4 @@
 This should not happen with a good patch file. 
 
-To see the files that have been modified use the sequence:
-
-@example
-cd tools/@value{BINUTILS-UNTAR}
-find . -name "*.orig" -print
-@end example
-
-The files that are found, have been modified by the patch file. 
-
 @end ifset
 
@@ -288,13 +289,4 @@
 If any files are found with the .rej extension, a patch has been rejected.
 This should not happen with a good patch file. 
-
-To see the files that have been modified use the sequence:
-
-@example
-cd tools/@value{NEWLIB-UNTAR}
-find . -name "*.orig" -print
-@end example
-
-The files that are found, have been modified by the patch file. 
 
 @end ifset
Index: doc/started_ada/buildada.t
===================================================================
--- doc/started_ada/buildada.t	(revision f2cd6a1a8d6402e8ffce00ba8c9b2de0d7c5e9d7)
+++ doc/started_ada/buildada.t	(revision fffe92667f3263b28daa8d1ed0da3606dc5435ad)
@@ -14,73 +14,38 @@
 toolset and install it.
 
-@section Get all the Pieces 
-
-Gather the components that will be required for the installation and place
-them in an archive directory. Call this directory @code{arc}. Be sure that there
-is sufficient space to hold all necessary information. This will amount to
-approximately 20 megabytes.  In addition, make a directory named @code{tools}
-to build the cross-compiler in.
-
-@subheading @value{GCC-VERSION}
-@example
-    FTP Site:    @value{GCC-FTPSITE}
-    Directory:   @value{GCC-FTPDIR}
-    File:        @value{GCC-TAR}
-@end example
-
-@subheading @value{GNAT-VERSION}
-@example
-    FTP Site:    @value{GNAT-FTPSITE}
-    Directory:   @value{GNAT-FTPDIR}
-    File:        @value{GNAT-TAR}
-@end example
-
-@subheading @value{BINUTILS-VERSION}
-@example
-    FTP Site:    @value{BINUTILS-FTPSITE}
-    Directory:   @value{BINUTILS-FTPDIR}
-    File:        @value{BINUTILS-TAR}
-@end example
-
-@subheading @value{NEWLIB-VERSION}
-@example
-    FTP Site:    @value{NEWLIB-FTPSITE}
-    Directory:   @value{NEWLIB-FTPDIR}
-    File:        @value{NEWLIB-TAR}
-@end example
-
-@subheading @value{RTEMS-VERSION}
-@example
-    FTP Site:    @value{RTEMS-FTPSITE}
-    Directory:   @value{RTEMS-FTPDIR}
-    File:        @value{RTEMS-TAR}
-    File:        bit_ada
-@ifset BINUTILS-RTEMSPATCH
-    File:        @value{BINUTILS-RTEMSPATCH}
-@end ifset
-@ifset NEWLIB-RTEMSPATCH
-    File:        @value{NEWLIB-RTEMSPATCH}
-@end ifset
-@ifset GCC-RTEMSPATCH
-    File:        @value{GCC-RTEMSPATCH}
-@end ifset
-@ifset GNAT-RTEMSPATCH
-    File:        @value{GNAT-RTEMSPATCH}
-@end ifset
-    File:        hello_world_ada.tgz
-@end example
-
-@section Create the tools Directory
-
-Create a directory called tools that will serve as a working directory to
-perform the build of the cross compiler tools.  Since we previously
-created a directory named @code{arc} to place the files we downloaded
-into, this will result in a starting directory structure similar the
+@section Create the Archive and Build Directories
+
+Start by making the @code{archive} directory to contain the downloaded 
+source code and the @code{tools} directory to be used as a build
+directory.  The command sequence to do this is shown
+below:
+
+@example
+mkdir arc
+mkdir tools
+@end example
+
+This will result in an initial directory structure similar to the
 one shown in the following figure:
-                
+
 @ifset use-ascii
 @example
 @group
-                parent directory common to the
+                parent directory common to the 
+               tools and archive subdirectories
+                             |
+      +----------------------+----------------------+
+      |                                             |  
+   tools                                           arc
+@end group
+@end example
+@end ifset
+
+
+@ifset use-tex
+@c for now use the ascii version
+@example 
+@group
+                parent directory common to the 
                tools and archive subdirectories
                              |
@@ -90,19 +55,4 @@
 @end group
 @end example
-@end ifset
-    
-
-@ifset use-tex
-@c for now use the ascii version
-@example
-@group
-                parent directory common to the
-               tools and archive subdirectories
-                             |
-      +----------------------+----------------------+
-      |                                             |
-   tools                                           arc
-@end group
-@end example
 @tex
 @end tex
@@ -110,9 +60,81 @@
 
 
-@ifset use-html  
+@ifset use-html
 @html
-<IMG SRC="sfile12c.jpg" WIDTH=417 HEIGHT=178 ALT="Base Directory Organization">
+<IMG SRC="sfile12c.jpg" WIDTH=417 HEIGHT=178 
+    ALT="Starting Directory Organization">
 @end html
 @end ifset
+
+@section Get all the Pieces 
+
+This section lists the components of an RTEMS cross development system.
+Included are the locations of each component as well as any required RTEMS
+specific patches.
+
+@subheading @value{GCC-VERSION}
+@example
+    FTP Site:    @value{GCC-FTPSITE}
+    Directory:   @value{GCC-FTPDIR}
+    File:        @value{GCC-TAR}
+@end example
+
+@subheading @value{GNAT-VERSION}
+@example
+    FTP Site:    @value{GNAT-FTPSITE}
+    Directory:   @value{GNAT-FTPDIR}
+    File:        @value{GNAT-TAR}
+@end example
+
+@subheading @value{BINUTILS-VERSION}
+@example
+    FTP Site:    @value{BINUTILS-FTPSITE}
+    Directory:   @value{BINUTILS-FTPDIR}
+    File:        @value{BINUTILS-TAR}
+@end example
+
+@subheading @value{NEWLIB-VERSION}
+@example
+    FTP Site:    @value{NEWLIB-FTPSITE}
+    Directory:   @value{NEWLIB-FTPDIR}
+    File:        @value{NEWLIB-TAR}
+@end example
+
+@subheading @value{RTEMS-VERSION}
+@example
+    FTP Site:    @value{RTEMS-FTPSITE}
+    Directory:   @value{RTEMS-FTPDIR}
+    File:        @value{RTEMS-TAR}
+    File:        bit_ada
+    File:        hello_world_ada.tgz
+@end example
+
+@subheading RTEMS Specific Tool Patches
+@example
+    FTP Site:    @value{RTEMS-FTPSITE}
+    Directory:   @value{RTEMS-FTPDIR}/ada_tools
+@ifset BINUTILS-RTEMSPATCH
+    File:        @value{BINUTILS-RTEMSPATCH}
+@end ifset
+@ifset NEWLIB-RTEMSPATCH
+    File:        @value{NEWLIB-RTEMSPATCH}
+@end ifset
+@ifset GCC-RTEMSPATCH
+    File:        @value{GCC-RTEMSPATCH}
+@end ifset
+@ifset GNAT-RTEMSPATCH
+    File:        @value{GNAT-RTEMSPATCH}
+@end ifset
+@c Just in case there are ever no patches
+@ifset BINUTILS-RTEMSPATCH
+@ifset GCC-RTEMSPATCH
+@ifset NEWLIB-RTEMSPATCH
+@ifset GNAT-RTEMSPATCH
+    No RTEMS specific patches are required.
+@end ifset
+@end ifset
+@end ifset
+@end ifset
+@end example
 
 @section Unarchiving the Tools
@@ -217,13 +239,4 @@
 This should not happen with a good patch file.
 
-To see the files that have been modified use the sequence:
-
-@example
-cd tools/@value{GCC-UNTAR}
-find . -name "*.orig" -print
-@end example
-
-The files that are found, have been modified by the patch file.
-
 @end ifset
 
@@ -258,13 +271,4 @@
 This should not happen with a good patch file. 
 
-To see the files that have been modified use the sequence:
-
-@example
-cd tools/@value{BINUTILS-UNTAR}
-find . -name "*.orig" -print
-@end example
-
-The files that are found, have been modified by the patch file. 
-
 @end ifset
 
@@ -300,13 +304,4 @@
 This should not happen with a good patch file. 
 
-To see the files that have been modified use the sequence:
-
-@example
-cd tools/@value{NEWLIB-UNTAR}
-find . -name "*.orig" -print
-@end example
-
-The files that are found, have been modified by the patch file. 
-
 @end ifset
 
@@ -341,13 +336,4 @@
 If any files are found with the .rej extension, a patch has been rejected.
 This should not happen with a good patch file.
-
-To see the files that have been modified use the sequence:
-
-@example
-cd tools/@value{GNAT-UNTAR}
-find . -name "*.orig" -print
-@end example
-
-The files that are found, have been modified by the patch file.
 
 @end ifset
Index: doc/started_ada/versions.texi
===================================================================
--- doc/started_ada/versions.texi	(revision f2cd6a1a8d6402e8ffce00ba8c9b2de0d7c5e9d7)
+++ doc/started_ada/versions.texi	(revision fffe92667f3263b28daa8d1ed0da3606dc5435ad)
@@ -57,5 +57,5 @@
 @c @set BINUTILS-UNTAR       gas-980314
 @c @set BINUTILS-FTPSITE     ftp.OARcorp.com
-@c @set BINUTILS-FTPDIR      /OARcorp/private/beta2/c_tools
+@c @set BINUTILS-FTPDIR      /oarcorp/private/beta2/ada_tools
 @c @set BINUTILS-RTEMSPATCH  binutils-2.8.1-rtems-diff-980321.gz
 
